diff --git a/base/server/cms/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java b/base/server/cms/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java
index 3e73dc6e1c234787126bf9f2c33c6dcb28c667f3..229c3779a9e359c0ab9171157a7c73962dc612a3 100644
--- a/base/server/cms/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java
+++ b/base/server/cms/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java
@@ -106,14 +106,6 @@ public final class CMSAdminServlet extends AdminServlet {
 
     private ILogger mSignedAuditLogger = CMS.getSignedAuditLogger();
     private final static byte EOL[] = { Character.LINE_SEPARATOR };
-    private final static String LOGGING_SIGNED_AUDIT_CONFIG_ENCRYPTION =
-            "LOGGING_SIGNED_AUDIT_CONFIG_ENCRYPTION_3";
-    private final static String LOGGING_SIGNED_AUDIT_CONFIG_TRUSTED_PUBLIC_KEY =
-            "LOGGING_SIGNED_AUDIT_CONFIG_TRUSTED_PUBLIC_KEY_3";
-    private final static String LOGGING_SIGNED_AUDIT_SELFTESTS_EXECUTION =
-            "LOGGING_SIGNED_AUDIT_SELFTESTS_EXECUTION_2";
-    private final static String LOGGING_SIGNED_AUDIT_CIMC_CERT_VERIFICATION =
-            "LOGGING_SIGNED_AUDIT_CIMC_CERT_VERIFICATION_3";
 
     // CMS must be instantiated before this admin servlet.
 
@@ -574,7 +566,7 @@ public final class CMSAdminServlet extends AdminServlet {
                         if (tokenizer.countTokens() != 2) {
                             // store a message in the signed audit log file
                             auditMessage = CMS.getLogMessage(
-                                        LOGGING_SIGNED_AUDIT_CONFIG_ENCRYPTION,
+                                        AuditEvent.CONFIG_ENCRYPTION,
                                         auditSubjectID,
                                         ILogger.FAILURE,
                                         auditParams(req));
@@ -599,7 +591,7 @@ public final class CMSAdminServlet extends AdminServlet {
                         } else
                             // store a message in the signed audit log file
                             auditMessage = CMS.getLogMessage(
-                                        LOGGING_SIGNED_AUDIT_CONFIG_ENCRYPTION,
+                                        AuditEvent.CONFIG_ENCRYPTION,
                                         auditSubjectID,
                                         ILogger.FAILURE,
                                         auditParams(req));
@@ -636,7 +628,7 @@ public final class CMSAdminServlet extends AdminServlet {
 
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_CONFIG_ENCRYPTION,
+                        AuditEvent.CONFIG_ENCRYPTION,
                         auditSubjectID,
                         ILogger.SUCCESS,
                         auditParams(req));
@@ -648,7 +640,7 @@ public final class CMSAdminServlet extends AdminServlet {
         } catch (EBaseException eAudit1) {
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_CONFIG_ENCRYPTION,
+                        AuditEvent.CONFIG_ENCRYPTION,
                         auditSubjectID,
                         ILogger.FAILURE,
                         auditParams(req));
@@ -660,7 +652,7 @@ public final class CMSAdminServlet extends AdminServlet {
         } catch (IOException eAudit2) {
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_CONFIG_ENCRYPTION,
+                        AuditEvent.CONFIG_ENCRYPTION,
                         auditSubjectID,
                         ILogger.FAILURE,
                         auditParams(req));
@@ -1494,7 +1486,7 @@ public final class CMSAdminServlet extends AdminServlet {
             } else {
                 // store a message in the signed audit log file
                 auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CONFIG_TRUSTED_PUBLIC_KEY,
+                            AuditEvent.CONFIG_TRUSTED_PUBLIC_KEY,
                             auditSubjectID,
                             ILogger.FAILURE,
                             auditParams(req));
@@ -1514,7 +1506,7 @@ public final class CMSAdminServlet extends AdminServlet {
             } else {
                 // store a message in the signed audit log file
                 auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CONFIG_TRUSTED_PUBLIC_KEY,
+                            AuditEvent.CONFIG_TRUSTED_PUBLIC_KEY,
                             auditSubjectID,
                             ILogger.FAILURE,
                             auditParams(req));
@@ -1534,7 +1526,7 @@ public final class CMSAdminServlet extends AdminServlet {
             if (nickname.equals("")) {
                 // store a message in the signed audit log file
                 auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CONFIG_TRUSTED_PUBLIC_KEY,
+                            AuditEvent.CONFIG_TRUSTED_PUBLIC_KEY,
                             auditSubjectID,
                             ILogger.FAILURE,
                             auditParams(req));
@@ -1781,7 +1773,7 @@ public final class CMSAdminServlet extends AdminServlet {
 
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_CONFIG_TRUSTED_PUBLIC_KEY,
+                        AuditEvent.CONFIG_TRUSTED_PUBLIC_KEY,
                         auditSubjectID,
                         ILogger.SUCCESS,
                         auditParams(req));
@@ -1794,7 +1786,7 @@ public final class CMSAdminServlet extends AdminServlet {
             CMS.debug("CMSAdminServlet: issueImportCert: EBaseException thrown: " + eAudit1.toString());
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_CONFIG_TRUSTED_PUBLIC_KEY,
+                        AuditEvent.CONFIG_TRUSTED_PUBLIC_KEY,
                         auditSubjectID,
                         ILogger.FAILURE,
                         auditParams(req));
@@ -1807,7 +1799,7 @@ public final class CMSAdminServlet extends AdminServlet {
             CMS.debug("CMSAdminServlet: issueImportCert: IOException thrown: " + eAudit2.toString());
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_CONFIG_TRUSTED_PUBLIC_KEY,
+                        AuditEvent.CONFIG_TRUSTED_PUBLIC_KEY,
                         auditSubjectID,
                         ILogger.FAILURE,
                         auditParams(req));
@@ -1900,7 +1892,7 @@ public final class CMSAdminServlet extends AdminServlet {
                     if (certpath == null || certpath.equals("")) {
                         // store a message in the signed audit log file
                         auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CONFIG_TRUSTED_PUBLIC_KEY,
+                                AuditEvent.CONFIG_TRUSTED_PUBLIC_KEY,
                                 auditSubjectID,
                                 ILogger.FAILURE,
                                 auditParams(req));
@@ -1934,7 +1926,7 @@ public final class CMSAdminServlet extends AdminServlet {
             } catch (IOException ee) {
                 // store a message in the signed audit log file
                 auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CONFIG_TRUSTED_PUBLIC_KEY,
+                            AuditEvent.CONFIG_TRUSTED_PUBLIC_KEY,
                             auditSubjectID,
                             ILogger.FAILURE,
                             auditParams(req));
@@ -1964,7 +1956,7 @@ public final class CMSAdminServlet extends AdminServlet {
             } else {
                 // store a message in the signed audit log file
                 auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CONFIG_TRUSTED_PUBLIC_KEY,
+                            AuditEvent.CONFIG_TRUSTED_PUBLIC_KEY,
                             auditSubjectID,
                             ILogger.FAILURE,
                             auditParams(req));
@@ -2193,7 +2185,7 @@ public final class CMSAdminServlet extends AdminServlet {
                 verified = true;
 
                 auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_CIMC_CERT_VERIFICATION,
+                        AuditEvent.CIMC_CERT_VERIFICATION,
                         auditSubjectID,
                         ILogger.SUCCESS,
                                 nickname);
@@ -2203,7 +2195,7 @@ public final class CMSAdminServlet extends AdminServlet {
             } catch (Exception e) {
                 CMS.debug(e);
                 auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CIMC_CERT_VERIFICATION,
+                                AuditEvent.CIMC_CERT_VERIFICATION,
                                 auditSubjectID,
                                 ILogger.FAILURE,
                                 nickname);
@@ -2213,7 +2205,7 @@ public final class CMSAdminServlet extends AdminServlet {
 
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_CONFIG_TRUSTED_PUBLIC_KEY,
+                        AuditEvent.CONFIG_TRUSTED_PUBLIC_KEY,
                         auditSubjectID,
                         ILogger.SUCCESS,
                         auditParams(req));
@@ -2230,7 +2222,7 @@ public final class CMSAdminServlet extends AdminServlet {
         } catch (EBaseException eAudit1) {
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_CONFIG_TRUSTED_PUBLIC_KEY,
+                        AuditEvent.CONFIG_TRUSTED_PUBLIC_KEY,
                         auditSubjectID,
                         ILogger.FAILURE,
                         auditParams(req));
@@ -2242,7 +2234,7 @@ public final class CMSAdminServlet extends AdminServlet {
         } catch (IOException eAudit2) {
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_CONFIG_TRUSTED_PUBLIC_KEY,
+                        AuditEvent.CONFIG_TRUSTED_PUBLIC_KEY,
                         auditSubjectID,
                         ILogger.FAILURE,
                         auditParams(req));
@@ -2319,7 +2311,7 @@ public final class CMSAdminServlet extends AdminServlet {
                     if (certpath == null || certpath.equals("")) {
                         // store a message in the signed audit log file
                         auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CONFIG_TRUSTED_PUBLIC_KEY,
+                                AuditEvent.CONFIG_TRUSTED_PUBLIC_KEY,
                                 auditSubjectID,
                                 ILogger.FAILURE,
                                 auditParams(req));
@@ -2352,7 +2344,7 @@ public final class CMSAdminServlet extends AdminServlet {
             } catch (IOException ee) {
                 // store a message in the signed audit log file
                 auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CONFIG_TRUSTED_PUBLIC_KEY,
+                            AuditEvent.CONFIG_TRUSTED_PUBLIC_KEY,
                             auditSubjectID,
                             ILogger.FAILURE,
                             auditParams(req));
@@ -2386,7 +2378,7 @@ public final class CMSAdminServlet extends AdminServlet {
             } catch (Exception e) {
                 // store a message in the signed audit log file
                 auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CONFIG_TRUSTED_PUBLIC_KEY,
+                            AuditEvent.CONFIG_TRUSTED_PUBLIC_KEY,
                             auditSubjectID,
                             ILogger.FAILURE,
                             auditParams(req));
@@ -2405,7 +2397,7 @@ public final class CMSAdminServlet extends AdminServlet {
             } catch (EBaseException e) {
                 // store a message in the signed audit log file
                 auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CONFIG_TRUSTED_PUBLIC_KEY,
+                            AuditEvent.CONFIG_TRUSTED_PUBLIC_KEY,
                             auditSubjectID,
                             ILogger.FAILURE,
                             auditParams(req));
@@ -2426,7 +2418,7 @@ public final class CMSAdminServlet extends AdminServlet {
 
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_CONFIG_TRUSTED_PUBLIC_KEY,
+                        AuditEvent.CONFIG_TRUSTED_PUBLIC_KEY,
                         auditSubjectID,
                         ILogger.SUCCESS,
                         auditParams(req));
@@ -2437,7 +2429,7 @@ public final class CMSAdminServlet extends AdminServlet {
         } catch (EBaseException eAudit1) {
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_CONFIG_TRUSTED_PUBLIC_KEY,
+                        AuditEvent.CONFIG_TRUSTED_PUBLIC_KEY,
                         auditSubjectID,
                         ILogger.FAILURE,
                         auditParams(req));
@@ -2449,7 +2441,7 @@ public final class CMSAdminServlet extends AdminServlet {
         } catch (IOException eAudit2) {
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_CONFIG_TRUSTED_PUBLIC_KEY,
+                        AuditEvent.CONFIG_TRUSTED_PUBLIC_KEY,
                         auditSubjectID,
                         ILogger.FAILURE,
                         auditParams(req));
@@ -2952,7 +2944,7 @@ public final class CMSAdminServlet extends AdminServlet {
             jssSubSystem.setRootCertTrust(nickname, serialno, issuername, trust);
         } catch (EBaseException e) {
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_CONFIG_TRUSTED_PUBLIC_KEY,
+                        AuditEvent.CONFIG_TRUSTED_PUBLIC_KEY,
                         auditSubjectID,
                         ILogger.FAILURE,
                         auditParams(req));
@@ -2964,7 +2956,7 @@ public final class CMSAdminServlet extends AdminServlet {
 
         // store a message in the signed audit log file
         auditMessage = CMS.getLogMessage(
-                    LOGGING_SIGNED_AUDIT_CONFIG_TRUSTED_PUBLIC_KEY,
+                    AuditEvent.CONFIG_TRUSTED_PUBLIC_KEY,
                     auditSubjectID,
                     ILogger.SUCCESS,
                     auditParams(req));
@@ -3020,7 +3012,7 @@ public final class CMSAdminServlet extends AdminServlet {
 
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_CONFIG_TRUSTED_PUBLIC_KEY,
+                        AuditEvent.CONFIG_TRUSTED_PUBLIC_KEY,
                         auditSubjectID,
                         ILogger.SUCCESS,
                         auditParams(req));
@@ -3032,7 +3024,7 @@ public final class CMSAdminServlet extends AdminServlet {
         } catch (EBaseException eAudit1) {
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_CONFIG_TRUSTED_PUBLIC_KEY,
+                        AuditEvent.CONFIG_TRUSTED_PUBLIC_KEY,
                         auditSubjectID,
                         ILogger.FAILURE,
                         auditParams(req));
@@ -3044,7 +3036,7 @@ public final class CMSAdminServlet extends AdminServlet {
         } catch (IOException eAudit2) {
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_CONFIG_TRUSTED_PUBLIC_KEY,
+                        AuditEvent.CONFIG_TRUSTED_PUBLIC_KEY,
                         auditSubjectID,
                         ILogger.FAILURE,
                         auditParams(req));
@@ -3132,7 +3124,7 @@ public final class CMSAdminServlet extends AdminServlet {
 
                 // store a message in the signed audit log file
                 auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_SELFTESTS_EXECUTION,
+                            AuditEvent.SELFTESTS_EXECUTION,
                             auditSubjectID,
                             ILogger.FAILURE);
 
@@ -3185,7 +3177,7 @@ public final class CMSAdminServlet extends AdminServlet {
 
                         // store a message in the signed audit log file
                         auditMessage = CMS.getLogMessage(
-                                    LOGGING_SIGNED_AUDIT_SELFTESTS_EXECUTION,
+                                    AuditEvent.SELFTESTS_EXECUTION,
                                     auditSubjectID,
                                     ILogger.FAILURE);
 
@@ -3215,7 +3207,7 @@ public final class CMSAdminServlet extends AdminServlet {
 
                         // store a message in the signed audit log file
                         auditMessage = CMS.getLogMessage(
-                                    LOGGING_SIGNED_AUDIT_SELFTESTS_EXECUTION,
+                                    AuditEvent.SELFTESTS_EXECUTION,
                                     auditSubjectID,
                                     ILogger.FAILURE);
 
@@ -3268,7 +3260,7 @@ public final class CMSAdminServlet extends AdminServlet {
 
                             // store a message in the signed audit log file
                             auditMessage = CMS.getLogMessage(
-                                        LOGGING_SIGNED_AUDIT_SELFTESTS_EXECUTION,
+                                        AuditEvent.SELFTESTS_EXECUTION,
                                         auditSubjectID,
                                         ILogger.FAILURE);
 
@@ -3316,7 +3308,7 @@ public final class CMSAdminServlet extends AdminServlet {
 
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_SELFTESTS_EXECUTION,
+                        AuditEvent.SELFTESTS_EXECUTION,
                         auditSubjectID,
                         ILogger.SUCCESS);
 
@@ -3336,7 +3328,7 @@ public final class CMSAdminServlet extends AdminServlet {
         } catch (EMissingSelfTestException eAudit1) {
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_SELFTESTS_EXECUTION,
+                        AuditEvent.SELFTESTS_EXECUTION,
                         auditSubjectID,
                         ILogger.FAILURE);
 
@@ -3347,7 +3339,7 @@ public final class CMSAdminServlet extends AdminServlet {
         } catch (ESelfTestException eAudit2) {
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_SELFTESTS_EXECUTION,
+                        AuditEvent.SELFTESTS_EXECUTION,
                         auditSubjectID,
                         ILogger.FAILURE);
 
@@ -3358,7 +3350,7 @@ public final class CMSAdminServlet extends AdminServlet {
         } catch (IOException eAudit3) {
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_SELFTESTS_EXECUTION,
+                        AuditEvent.SELFTESTS_EXECUTION,
                         auditSubjectID,
                         ILogger.FAILURE);
 
diff --git a/base/server/cms/src/com/netscape/cms/servlet/admin/GroupMemberProcessor.java b/base/server/cms/src/com/netscape/cms/servlet/admin/GroupMemberProcessor.java
index f974db4250b0692f48ed65c557948c7b19dac06c..00f960e8e5b1484254949d58f882f869f239f663 100644
--- a/base/server/cms/src/com/netscape/cms/servlet/admin/GroupMemberProcessor.java
+++ b/base/server/cms/src/com/netscape/cms/servlet/admin/GroupMemberProcessor.java
@@ -43,8 +43,8 @@ import com.netscape.certsrv.group.GroupMemberCollection;
 import com.netscape.certsrv.group.GroupMemberData;
 import com.netscape.certsrv.group.GroupNotFoundException;
 import com.netscape.certsrv.group.GroupResource;
+import com.netscape.certsrv.logging.AuditEvent;
 import com.netscape.certsrv.logging.AuditFormat;
-import com.netscape.certsrv.logging.IAuditor;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.usrgrp.IGroup;
 import com.netscape.certsrv.usrgrp.IUGSubsystem;
@@ -388,6 +388,6 @@ public class GroupMemberProcessor extends Processor {
     }
 
     public void audit(String type, String id, Map<String, String> params, String status) {
-        audit(IAuditor.LOGGING_SIGNED_AUDIT_CONFIG_ROLE, ScopeDef.SC_GROUP_MEMBERS, type, id, params, status);
+        audit(AuditEvent.CONFIG_ROLE, ScopeDef.SC_GROUP_MEMBERS, type, id, params, status);
     }
 }
diff --git a/base/server/cms/src/com/netscape/cms/servlet/admin/KRAAdminServlet.java b/base/server/cms/src/com/netscape/cms/servlet/admin/KRAAdminServlet.java
index 3f9f558e086266fdec35fd8b6111b828ebdb0d78..5583d126ca1766d87248b5c03aee2cd99641b031 100644
--- a/base/server/cms/src/com/netscape/cms/servlet/admin/KRAAdminServlet.java
+++ b/base/server/cms/src/com/netscape/cms/servlet/admin/KRAAdminServlet.java
@@ -32,6 +32,7 @@ import com.netscape.certsrv.common.NameValuePairs;
 import com.netscape.certsrv.common.OpDef;
 import com.netscape.certsrv.common.ScopeDef;
 import com.netscape.certsrv.kra.IKeyRecoveryAuthority;
+import com.netscape.certsrv.logging.AuditEvent;
 import com.netscape.certsrv.logging.ILogger;
 
 /**
@@ -54,9 +55,6 @@ public class KRAAdminServlet extends AdminServlet {
 
     private IKeyRecoveryAuthority mKRA = null;
 
-    private final static String LOGGING_SIGNED_AUDIT_CONFIG_DRM =
-            "LOGGING_SIGNED_AUDIT_CONFIG_DRM_3";
-
     /**
      * Constructs KRA servlet.
      */
@@ -204,7 +202,7 @@ public class KRAAdminServlet extends AdminServlet {
                     mKRA.setNoOfRequiredAgents(number);
                 } catch (NumberFormatException e) {
                     auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CONFIG_DRM,
+                            AuditEvent.CONFIG_DRM,
                             auditSubjectID,
                             ILogger.FAILURE,
                             auditParams(req));
@@ -218,7 +216,7 @@ public class KRAAdminServlet extends AdminServlet {
         commit(true);
 
         auditMessage = CMS.getLogMessage(
-                LOGGING_SIGNED_AUDIT_CONFIG_DRM,
+                AuditEvent.CONFIG_DRM,
                 auditSubjectID,
                 ILogger.SUCCESS,
                 auditParams(req));
